filter.hh File Reference
`#include <mia/mesh/triangularMesh.hh>`
`#include <mia/core/factory.hh>`
`#include <mia/template/filter_chain.hh>`
Include dependency graph for mesh/filter.hh:

Go to the source code of this file.

## Typedefs

typedef TDataFilter< CTriangleMesh > | CMeshFilter
typedef TFilterChain< CMeshFilterPluginHandler > | CMeshFilterChain
typedef TDataFilterPlugin< CTriangleMesh > | CMeshFilterPlugin
typedef THandlerSingleton< TFactoryPluginHandler< CMeshFilterPlugin > > | CMeshFilterPluginHandler
typedef std::shared_ptr< CMeshFilter > | PMeshFilter

## Functions

PMeshFilter | produce_mesh_filter (const char *descr)
PTriangleMesh EXPORT_MESH | run_filter (const CTriangleMesh &mesh, const char *filter)
PTriangleMesh | run_filter (PTriangleMesh mesh, const char *filter)
PTriangleMesh EXPORT_MESH | run_filter_chain (PTriangleMesh mesh, const std::vector< const char * > &filters)

## Typedef Documentation

## CMeshFilter

typedef TDataFilter<CTriangleMesh> CMeshFilter

mesh image filter

Definition at line 34 of file mesh/filter.hh.

## Function Documentation

## produce_mesh_filter()

PMeshFilter produce_mesh_filter | ( | const char * | descr | ) |

inline

Convenience function to create a filter from its string description

Definition at line 61 of file mesh/filter.hh.

References THandlerSingleton< TFactoryPluginHandler< CMeshFilterPlugin > >::instance().